Fetches a set of filtered transactions allocations
curl --request GET \
--url https://api.anchorage-staging.com/v4/accounts/{accountId}/transactions/allocations \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v4/accounts/{accountId}/transactions/allocations"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v4/accounts/{accountId}/transactions/allocations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"transactionId": "c4c4652f-0c07-472c-a7f8-955fbe07775d",
"transactionType": "DEPOSIT",
"status": "PENDING",
"subaccounts": [
{
"accountId": "ec761b5e-fd2c-497a-a9a0-f8738ac97bdf",
"assetType": "BTC",
"amount": "100.0",
"balanceType": "balanceType",
"direction": "CREDIT"
}
],
"createdAt": "2019-01-02T12:34:56.000Z",
"endedAt": "2019-01-03T12:34:56.000Z"
}
],
"page": {
"endCursor": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Fetches a set of filtered transactions allocations
Permissions required: Subaccount or Read Subaccount Retrieves a filtered set of transactions that are connected to funding allocations.
GET
/
accounts
/
{accountId}
/
transactions
/
allocations
Fetches a set of filtered transactions allocations
curl --request GET \
--url https://api.anchorage-staging.com/v4/accounts/{accountId}/transactions/allocations \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v4/accounts/{accountId}/transactions/allocations"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v4/accounts/{accountId}/transactions/allocations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"transactionId": "c4c4652f-0c07-472c-a7f8-955fbe07775d",
"transactionType": "DEPOSIT",
"status": "PENDING",
"subaccounts": [
{
"accountId": "ec761b5e-fd2c-497a-a9a0-f8738ac97bdf",
"assetType": "BTC",
"amount": "100.0",
"balanceType": "balanceType",
"direction": "CREDIT"
}
],
"createdAt": "2019-01-02T12:34:56.000Z",
"endedAt": "2019-01-03T12:34:56.000Z"
}
],
"page": {
"endCursor": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Path Parameters
Query Parameters
The start date and time. The earliest valid value is 2017-01-01T00:00:00Z. Values must be in UTC RFC 3339 'date-time' format.
Example:
"2019-01-02T12:34:56.000Z"
The end date and time. The earliest valid value is 2017-01-01T00:00:00Z. Values must be in UTC RFC 3339 'date-time' format.
Example:
"2019-01-02T12:34:56.000Z"
Was this page helpful?